Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.sapale.iDOC_CREMAS03_4X_46A
Class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001

    java.lang.Object
      IDocOtdRoot
          com.stc.sapale.codegen.idoc.DataRecord4X
              com.stc.sapale.iDOC_CREMAS03_4X_46A.IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001

Enclosing class:
  IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1

public static class IDOC_CREMAS03_4X_46A.CREMAS03_4X_46A.Group1.E2LFA1M001
extends DataRecord4X

See Also:
  Serialized Form

Method Summary
`java.lang.String` | `getANRED()` Return a java.lang.String representation of the SAP type ANRED - Title.
`java.lang.String` | `getBAHNS()` Return a java.lang.String representation of the SAP type BAHNS - Train station.
`java.lang.String` | `getBBBNR()` Return a java.lang.String representation of the SAP type BBBNR - International location number (part 1).
`java.lang.String` | `getBBSNR()` Return a java.lang.String representation of the SAP type BBSNR - International location number (Part 2).
`java.lang.String` | `getBEGRU()` Return a java.lang.String representation of the SAP type BEGRU - Authorization Group
`java.lang.String` | `getBRSCH()` Return a java.lang.String representation of the SAP type BRSCH - Industry key.
`java.lang.String` | `getBUBKZ()` Return a java.lang.String representation of the SAP type BUBKZ - Check digit for the international location number.
`java.lang.String` | `getDATLT()` Return a java.lang.String representation of the SAP type DATLT - Data communication line no.
`java.lang.String` | `getDTAMS()` Return a java.lang.String representation of the SAP type DTAMS - Report key for data medium exchange.
`java.lang.String` | `getDTAWS()` Return a java.lang.String representation of the SAP type DTAWS - Instruction key for data medium exchange.
`java.lang.String` | `getLIFNR()` Return a java.lang.String representation of the SAP type LIFNR - Account Number of Vendor or Creditor.
`java.lang.String` | `getMSGFN()` Return a java.lang.String representation of the SAP type MSGFN - Function.
`boolean` | `hasANRED()` Tests whether ANRED is present or not.
`boolean` | `hasBAHNS()` Tests whether BAHNS is present or not.
`boolean` | `hasBBBNR()` Tests whether BBBNR is present or not.
`boolean` | `hasBBSNR()` Tests whether BBSNR is present or not.
`boolean` | `hasBEGRU()` Tests whether BEGRU is present or not.
`boolean` | `hasBRSCH()` Tests whether BRSCH is present or not.
`boolean` | `hasBUBKZ()` Tests whether BUBKZ is present or not.
`boolean` | `hasDATLT()` Tests whether DATLT is present or not.
`boolean` | `hasDTAMS()` Tests whether DTAMS is present or not.
`boolean` | `hasDTAWS()` Tests whether DTAWS is present or not.
`boolean` | `hasLIFNR()` Tests whether LIFNR is present or not.
`boolean` | `hasMSGFN()` Tests whether MSGFN is present or not.
`void` | `reset()` Clears out any data and resources held by this OTD instance.
`void` | `setANRED(java.lang.String value)` Set the value of ANRED - Title
`void` | `setBAHNS(java.lang.String value)` Set the value of BAHNS - Train station
`void` | `setBBBNR(java.lang.String value)` Set the value of BBBNR - International location number (part 1)
`void` | `setBBSNR(java.lang.String value)` Set the value of BBSNR - International location number (Part 2).
`void` | `setBEGRU(java.lang.String value)` Set the value of BEGRU - Authorization Group
`void` | `setBRSCH(java.lang.String value)` Set the value of BRSCH - Industry key
`void` | `setBUBKZ(java.lang.String value)` Set the value of BUBKZ - Check digit for the international location number
`void` | `setDATLT(java.lang.String value)` Set the value of DATLT - Data communication line no.
`void` | `setDTAMS(java.lang.String value)` Set the value of DTAMS - Report key for data medium exchange
`void` | `setDTAWS(java.lang.String value)` Set the value of DTAWS - Instruction key for data medium exchange
`void` | `setLIFNR(java.lang.String value)` Set the value of LIFNR - Account Number of Vendor or Creditor
`void` | `setMSGFN(java.lang.String value)` Set the value of MSGFN - Function

Methods inherited from class com.stc.sapale.codegen.idoc.DataRecord4X
`check, getDataString, getDOCNUM, getField, getHLEVEL, getMANDT, getPSGNUM, getSegIsMandatory, getSegLength, getSEGNAM, getSEGNUM, hasDOCNUM, hasHLEVEL, hasMANDT, hasPSGNUM, hasSEGNAM, hasSEGNUM, marshal, setDOCNUM, setField, setHLEVEL, setMANDT, setPSGNUM, setSegIsMandatory, setSEGNAM, setSEGNUM, unmarshal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getANRED

    public java.lang.String getANRED()

  Return a java.lang.String representation of the SAP type ANRED - Title.

  Returns:
    A java.lang.String representation of ANRED.

### getBAHNS

    public java.lang.String getBAHNS()

  Return a java.lang.String representation of the SAP type BAHNS - Train station.

  Returns:
    A java.lang.String representation of BAHNS.

### getBBBNR

    public java.lang.String getBBBNR()

  Return a java.lang.String representation of the SAP type BBBNR - International location number (part 1).

  Returns:
    A java.lang.String representation of BBBNR.

### getBBSNR

    public java.lang.String getBBSNR()

  Return a java.lang.String representation of the SAP type BBSNR - International location number (Part 2).

  Returns:
    A java.lang.String representation of BBSNR.

### getBEGRU

    public java.lang.String getBEGRU()

  Return a java.lang.String representation of the SAP type BEGRU - Authorization Group

  Returns:
    A java.lang.String representation of BEGRU

### getBRSCH

    public java.lang.String getBRSCH()

  Return a java.lang.String representation of the SAP type BRSCH - Industry key.

  Returns:
    A java.lang.String representation of BRSCH.

### getBUBKZ

    public java.lang.String getBUBKZ()

  Return a java.lang.String representation of the SAP type BUBKZ - Check digit for the international location number.

  Returns:
    A java.lang.String representation of BUBKZ.

### getDATLT

    public java.lang.String getDATLT()

  Return a java.lang.String representation of the SAP type DATLT - Data communication line no.

  Returns:
    A java.lang.String representation of DATLT.

### getDTAMS

    public java.lang.String getDTAMS()

  Return a java.lang.String representation of the SAP type DTAMS - Report key for data medium exchange.

  Returns:
    A java.lang.String representation of DTAMS.

### getDTAWS

    public java.lang.String getDTAWS()

  Return a java.lang.String representation of the SAP type DTAWS - Instruction key for data medium exchange.

  Returns:
    A java.lang.String representation of DTAWS.

### getLIFNR

    public java.lang.String getLIFNR()

  Return a java.lang.String representation of the SAP type LIFNR - Account Number of Vendor or Creditor.

  Returns:
    A java.lang.String representation of LIFNR.

### getMSGFN

    public java.lang.String getMSGFN()

  Return a java.lang.String representation of the SAP type MSGFN - Function.

  Returns:
    A java.lang.String representation of MSGFN.

### hasANRED

    public boolean hasANRED()

  Tests whether ANRED is present or not.

  Returns:
    true if ANRED exists else false.

### hasBAHNS

    public boolean hasBAHNS()

  Tests whether BAHNS is present or not.

  Returns:
    true if BAHNS exists else false.

### hasBBBNR

    public boolean hasBBBNR()

  Tests whether BBBNR is present or not.

  Returns:
    true if BBBNR exists else false.

### hasBBSNR

    public boolean hasBBSNR()

  Tests whether BBSNR is present or not.

  Returns:
    true if BBSNR exists else false.

### hasBEGRU

    public boolean hasBEGRU()

  Tests whether BEGRU is present or not.

  Returns:
    true if BEGRU exists else false.

### hasBRSCH

    public boolean hasBRSCH()

  Tests whether BRSCH is present or not.

  Returns:
    true if BRSCH exists else false.

### hasBUBKZ

    public boolean hasBUBKZ()

  Tests whether BUBKZ is present or not.

  Returns:
    true if BUBKZ exists else false.

### hasDATLT

    public boolean hasDATLT()

  Tests whether DATLT is present or not.

  Returns:
    true if DATLT exists else false.

### hasDTAMS

    public boolean hasDTAMS()

  Tests whether DTAMS is present or not.

  Returns:
    true if DTAMS exists else false.

### hasDTAWS

    public boolean hasDTAWS()

  Tests whether DTAWS is present or not.

  Returns:
    true if DTAWS exists else false.

### hasLIFNR

    public boolean hasLIFNR()

  Tests whether LIFNR is present or not.

  Returns:
    true if LIFNR exists else false.

### hasMSGFN

    public boolean hasMSGFN()

  Tests whether MSGFN is present or not.

  Returns:
    true if MSGFN exists else false.

### reset

    public void reset()

  Clears out any data and resources held by this OTD instance.

  Overrides:
    `reset` in class `DataRecord4X`

### setANRED

    public void setANRED(java.lang.String value)

  Set the value of ANRED - Title

  Parameters:
    `value` - The java.lang.String value for ANRED
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBAHNS

    public void setBAHNS(java.lang.String value)

  Set the value of BAHNS - Train station

  Parameters:
    `value` - The java.lang.String value for BAHNS
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBBBNR

    public void setBBBNR(java.lang.String value)

  Set the value of BBBNR - International location number (part 1)

  Parameters:
    `value` - The java.lang.String value for BBBNR.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBBSNR

    public void setBBSNR(java.lang.String value)

  Set the value of BBSNR - International location number (Part 2).

  Parameters:
    `value` - The java.lang.String value for BBSNR
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBEGRU

    public void setBEGRU(java.lang.String value)

  Set the value of BEGRU - Authorization Group

  Parameters:
    `value` - The java.lang.String value for BEGRU.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBRSCH

    public void setBRSCH(java.lang.String value)

  Set the value of BRSCH - Industry key

  Parameters:
    `value` - The java.lang.String value for BRSCH.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setBUBKZ

    public void setBUBKZ(java.lang.String value)

  Set the value of BUBKZ - Check digit for the international location number

  Parameters:
    `value` - The java.lang.String value for BUBKZ.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDATLT

    public void setDATLT(java.lang.String value)

  Set the value of DATLT - Data communication line no.

  Parameters:
    `value` - The java.lang.String value for DATLT
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDTAMS

    public void setDTAMS(java.lang.String value)

  Set the value of DTAMS - Report key for data medium exchange

  Parameters:
    `value` - The java.lang.String value for DTAMS.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setDTAWS

    public void setDTAWS(java.lang.String value)

  Set the value of DTAWS - Instruction key for data medium exchange

  Parameters:
    `value` - The java.lang.String value for DTAWS.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setLIFNR

    public void setLIFNR(java.lang.String value)

  Set the value of LIFNR - Account Number of Vendor or Creditor

  Parameters:
    `value` - The java.lang.String value for LIFNR.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

### setMSGFN

    public void setMSGFN(java.lang.String value)

  Set the value of MSGFN - Function

  Parameters:
    `value` - The java.lang.String value for MSGFN.
  Throws:
    `java.lang.IndexOutOfBoundsException` - child or index is out of range.
    `java.lang.IllegalArgumentException` - A method has been passed an illegal or inappropriate argument.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Sun Microsystems, Inc.